hadoop-common-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From GitBox <...@apache.org>
Subject [GitHub] [hadoop] nkalmar commented on issue #1629: HADOOP-16579 - Upgrade to Apache Curator 4.2.0 and ZooKeeper 3.5.5
Date Wed, 09 Oct 2019 15:04:49 GMT
nkalmar commented on issue #1629: HADOOP-16579 - Upgrade to Apache Curator 4.2.0 and ZooKeeper
3.5.5
URL: https://github.com/apache/hadoop/pull/1629#issuecomment-540043321
 
 
   I updated ZooKeeper to 3.5.5 as well, not just curator. This way unit tests pass. I also
did an integration test with multiple Hadoop component. There were some test failures if they
use the new ZK version from Hadoop classpath, as from 3.5+ you need to explicitly whitelist
4 letter commands in ZooKeeper. For example in Solr there were unit test failures. 
   
   But I think this is something other components will wan't to deal anyway, as it is recommended
to upgrade to 3.5 ZooKeeper everywhere.

----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.
 
For queries about this service, please contact Infrastructure at:
users@infra.apache.org


With regards,
Apache Git Services

---------------------------------------------------------------------
To unsubscribe, e-mail: common-issues-unsubscribe@hadoop.apache.org
For additional commands, e-mail: common-issues-help@hadoop.apache.org


Mime
View raw message